# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "heel"
  s.version = "3.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Jeremy Hinegardner"]
  s.date = "2013-07-07"
  s.description = "Heel is a small static web server for use when you need a quick web server for a directory.  Once the server is running, heel will use (http://rubygems.org/gems/launchy/) to open your browser at the URL of your document root. Heel is built using (http://rack.github.com) and (http://puma.io)     % heel     Launching your browser...     Puma 1.6.3 starting...     * Min threads: 0, max threads: 16     * Environment: deployment     * Listening on tcp://0.0.0.0:4331 Or run it in the background     % heel --daemonize     Launching your browser at http://0.0.0.0:4331/     % heel --kill     Sending TERM to process 3304     Done."
  s.email = "jeremy@copiousfreetime.org"
  s.executables = ["heel"]
  s.extra_rdoc_files = ["CONTRIBUTING.md", "HISTORY.md", "Manifest.txt", "README.md", "data/famfamfam/readme.txt"]
  s.files = ["bin/heel", "CONTRIBUTING.md", "HISTORY.md", "Manifest.txt", "README.md", "data/famfamfam/readme.txt"]
  s.homepage = "http://github.com/copiousfreetime/heel"
  s.licenses = ["BSD"]
  s.rdoc_options = ["--main", "README.md", "--markup", "tomdoc"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "Heel is a small static web server for use when you need a quick web server for a directory.  Once the server is running, heel will use [launchy](http://rubygems.org/gems/launchy/) to open your browser at the URL of your document root."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<puma>, ["~> 2.0"])
      s.add_runtime_dependency(%q<mime-types>, ["~> 1.23"])
      s.add_runtime_dependency(%q<launchy>, [">= 0.3.2"])
      s.add_runtime_dependency(%q<coderay>, [">= 0.8.260"])
      s.add_development_dependency(%q<rake>, ["~> 10.1"])
      s.add_development_dependency(%q<minitest>, ["~> 5.0"])
      s.add_development_dependency(%q<rdoc>, ["~> 4.0"])
    else
      s.add_dependency(%q<puma>, ["~> 2.0"])
      s.add_dependency(%q<mime-types>, ["~> 1.23"])
      s.add_dependency(%q<launchy>, [">= 0.3.2"])
      s.add_dependency(%q<coderay>, [">= 0.8.260"])
      s.add_dependency(%q<rake>, ["~> 10.1"])
      s.add_dependency(%q<minitest>, ["~> 5.0"])
      s.add_dependency(%q<rdoc>, ["~> 4.0"])
    end
  else
    s.add_dependency(%q<puma>, ["~> 2.0"])
    s.add_dependency(%q<mime-types>, ["~> 1.23"])
    s.add_dependency(%q<launchy>, [">= 0.3.2"])
    s.add_dependency(%q<coderay>, [">= 0.8.260"])
    s.add_dependency(%q<rake>, ["~> 10.1"])
    s.add_dependency(%q<minitest>, ["~> 5.0"])
    s.add_dependency(%q<rdoc>, ["~> 4.0"])
  end
end
